org.apache.solr.client.solrj

## Enum RoutedAliasTypes

- java.lang.Object
- - java.lang.Enum<RoutedAliasTypes>
  - - org.apache.solr.client.solrj.RoutedAliasTypes

All Implemented Interfaces:
  Serializable, Comparable<RoutedAliasTypes>

    public enum RoutedAliasTypes
    extends Enum<RoutedAliasTypes>

Types of Routed Alias supported. Routed Alias collections have a naming pattern of XYZ where X is the alias name, Y is the separator prefix and Z is the data driven value distinguishing the bucket.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CATEGORY`
`DIMENSIONAL`
`TIME`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract String` `getSeparatorPrefix()`
`static RoutedAliasTypes` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RoutedAliasTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TIME

    public static final RoutedAliasTypes TIME

#### CATEGORY

    public static final RoutedAliasTypes CATEGORY

#### DIMENSIONAL

    public static final RoutedAliasTypes DIMENSIONAL

### Method Detail

#### values

    public static RoutedAliasTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RoutedAliasTypes c : RoutedAliasTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RoutedAliasTypes valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSeparatorPrefix

    public abstract String getSeparatorPrefix()